"""
Python Character Mapping Codec for 'petscii_pet2001en_lc' generated by gen-codec.
"""

#    Name:		PETSCII PET 2001 English Lowercase to Unicode Table
#    Unicode version:	3.0
#    Table version:	1.00
#    Table format:	Format A
#    Date:		11/11/21
#    Authors:		Simon Rowe <srowe@mose.org.uk>
#    General notes:	Licensed under the GNU GPL, version 2

import codecs

# Codec APIs


class Codec(codecs.Codec):  # pylint: disable=missing-class-docstring
    def encode(self, _input, errors='strict'):
        return codecs.charmap_encode(_input, errors, encoding_table)

    def decode(self, _input, errors='strict'):
        return codecs.charmap_decode(_input, errors, decoding_table)


class IncrementalEncoder(codecs.IncrementalEncoder):  # pylint: disable=missing-class-docstring
    def encode(self, _input, final=False):
        return codecs.charmap_encode(_input, self.errors, encoding_table)[0]


class IncrementalDecoder(codecs.IncrementalDecoder):  # pylint: disable=missing-class-docstring
    def decode(self, _input, final=False):
        return codecs.charmap_decode(_input, self.errors, decoding_table)[0]


class StreamWriter(Codec, codecs.StreamWriter):  # pylint: disable=missing-class-docstring
    pass


class StreamReader(Codec, codecs.StreamReader):  # pylint: disable=missing-class-docstring
    pass


# encodings module API

def getregentry():  # pylint: disable=missing-function-docstring
    return codecs.CodecInfo(
        name='petscii_pet2001en_lc',
        encode=Codec().encode,
        decode=Codec().decode,
        incrementalencoder=IncrementalEncoder,
        incrementaldecoder=IncrementalDecoder,
        streamreader=StreamReader,
        streamwriter=StreamWriter,
    )


decoding_table = {
    0x0d:	'\r',    	  # CARRIAGE RETURN
    0x11:	'\uf11c',	  # CURSOR DOWN (CUS)
    0x12:	'\uf11a',	  # REVERSE VIDEO ON (CUS)
    0x13:	'\uf120',	  # HOME (CUS)
    0x14:	'\x7f',  	  # DELETE
    0x1d:	'\uf11d',	  # CURSOR RIGHT (CUS)
    0x20:	' ',     	  # SPACE
    0x21:	'!',     	  # EXCLAMATION MARK
    0x22:	'"',     	  # QUOTATION MARK
    0x23:	'#',     	  # NUMBER SIGN
    0x24:	'$',     	  # DOLLAR SIGN
    0x25:	'%',     	  # PERCENT SIGN
    0x26:	'&',     	  # AMPERSAND
    0x27:	"'",     	  # APOSTROPHE
    0x28:	'(',     	  # LEFT PARENTHESIS
    0x29:	')',     	  # RIGHT PARENTHESIS
    0x2a:	'*',     	  # ASTERISK
    0x2b:	'+',     	  # PLUS SIGN
    0x2c:	',',     	  # COMMA
    0x2d:	'-',     	  # HYPHEN-MINUS
    0x2e:	'.',     	  # FULL STOP
    0x2f:	'/',     	  # SOLIDUS
    0x30:	'0',     	  # DIGIT ZERO
    0x31:	'1',     	  # DIGIT ONE
    0x32:	'2',     	  # DIGIT TWO
    0x33:	'3',     	  # DIGIT THREE
    0x34:	'4',     	  # DIGIT FOUR
    0x35:	'5',     	  # DIGIT FIVE
    0x36:	'6',     	  # DIGIT SIX
    0x37:	'7',     	  # DIGIT SEVEN
    0x38:	'8',     	  # DIGIT EIGHT
    0x39:	'9',     	  # DIGIT NINE
    0x3a:	':',     	  # COLON
    0x3b:	';',     	  # SEMICOLON
    0x3c:	'<',     	  # LESS-THAN SIGN
    0x3d:	'=',     	  # EQUALS SIGN
    0x3e:	'>',     	  # GREATER-THAN SIGN
    0x3f:	'?',     	  # QUESTION MARK
    0x40:	'@',     	  # COMMERCIAL AT
    0x41:	'A',     	  # LATIN CAPITAL LETTER A
    0x42:	'B',     	  # LATIN CAPITAL LETTER B
    0x43:	'C',     	  # LATIN CAPITAL LETTER C
    0x44:	'D',     	  # LATIN CAPITAL LETTER D
    0x45:	'E',     	  # LATIN CAPITAL LETTER E
    0x46:	'F',     	  # LATIN CAPITAL LETTER F
    0x47:	'G',     	  # LATIN CAPITAL LETTER G
    0x48:	'H',     	  # LATIN CAPITAL LETTER H
    0x49:	'I',     	  # LATIN CAPITAL LETTER I
    0x4a:	'J',     	  # LATIN CAPITAL LETTER J
    0x4b:	'K',     	  # LATIN CAPITAL LETTER K
    0x4c:	'L',     	  # LATIN CAPITAL LETTER L
    0x4d:	'M',     	  # LATIN CAPITAL LETTER M
    0x4e:	'N',     	  # LATIN CAPITAL LETTER N
    0x4f:	'O',     	  # LATIN CAPITAL LETTER O
    0x50:	'P',     	  # LATIN CAPITAL LETTER P
    0x51:	'Q',     	  # LATIN CAPITAL LETTER Q
    0x52:	'R',     	  # LATIN CAPITAL LETTER R
    0x53:	'S',     	  # LATIN CAPITAL LETTER S
    0x54:	'T',     	  # LATIN CAPITAL LETTER T
    0x55:	'U',     	  # LATIN CAPITAL LETTER U
    0x56:	'V',     	  # LATIN CAPITAL LETTER V
    0x57:	'W',     	  # LATIN CAPITAL LETTER W
    0x58:	'X',     	  # LATIN CAPITAL LETTER X
    0x59:	'Y',     	  # LATIN CAPITAL LETTER Y
    0x5a:	'Z',     	  # LATIN CAPITAL LETTER Z
    0x5b:	'[',     	  # LEFT SQUARE BRACKET
    0x5c:	'\\',    	  # BACKSLASH
    0x5d:	']',     	  # RIGHT SQUARE BRACKET
    0x5e:	'\u2191',	  # UPWARDS ARROW
    0x5f:	'\u2190',	  # LEFTWARDS ARROW
    0x60:	' ',     	  # SPACE
    0x61:	'!',     	  # EXCLAMATION MARK
    0x62:	'"',     	  # QUOTATION MARK
    0x63:	'#',     	  # NUMBER SIGN
    0x64:	'$',     	  # DOLLAR SIGN
    0x65:	'%',     	  # PERCENT SIGN
    0x66:	'&',     	  # AMPERSAND
    0x67:	"'",     	  # APOSTROPHE
    0x68:	'(',     	  # LEFT PARENTHESIS
    0x69:	')',     	  # RIGHT PARENTHESIS
    0x6a:	'*',     	  # ASTERISK
    0x6b:	'+',     	  # PLUS SIGN
    0x6c:	',',     	  # COMMA
    0x6d:	'-',     	  # HYPHEN-MINUS
    0x6e:	'.',     	  # FULL STOP
    0x6f:	'/',     	  # SOLIDUS
    0x70:	'0',     	  # DIGIT ZERO
    0x71:	'1',     	  # DIGIT ONE
    0x72:	'2',     	  # DIGIT TWO
    0x73:	'3',     	  # DIGIT THREE
    0x74:	'4',     	  # DIGIT FOUR
    0x75:	'5',     	  # DIGIT FIVE
    0x76:	'6',     	  # DIGIT SIX
    0x77:	'7',     	  # DIGIT SEVEN
    0x78:	'8',     	  # DIGIT EIGHT
    0x79:	'9',     	  # DIGIT NINE
    0x7a:	':',     	  # COLON
    0x7b:	';',     	  # SEMICOLON
    0x7c:	'<',     	  # LESS-THAN SIGN
    0x7d:	'=',     	  # EQUALS SIGN
    0x7e:	'>',     	  # GREATER-THAN SIGN
    0x7f:	'?',     	  # QUESTION MARK
    0x8d:	'\n',    	  # LINE FEED
    0x91:	'\uf11e',	  # CURSOR UP (CUS)
    0x92:	'\uf11b',	  # REVERSE VIDEO OFF (CUS)
    0x93:	'\x0c',  	  # FORM FEED
    0x94:	'\uf121',	  # INSERT (CUS)
    0x9d:	'\uf11f',	  # CURSOR LEFT (CUS)
    0xa0:	'\xa0',  	  # NO-BREAK SPACE
    0xa1:	'\u258c',	  # LEFT HALF BLOCK
    0xa2:	'\u2584',	  # LOWER HALF BLOCK
    0xa3:	'\u2594',	  # UPPER ONE EIGHTH BLOCK
    0xa4:	'\u2581',	  # LOWER ONE EIGHTH BLOCK
    0xa5:	'\u258f',	  # LEFT ONE EIGHTH BLOCK
    0xa6:	'\U0001fb95',	  # CHECKER BOARD FILL
    0xa7:	'\u2595',	  # RIGHT ONE EIGHTH BLOCK
    0xa8:	'\U0001fb8f',	  # LOWER HALF MEDIUM SHADE
    0xa9:	'\u25e4',	  # BLACK UPPER LEFT TRIANGLE
    0xaa:	'\U0001fb87',	  # RIGHT ONE QUARTER BLOCK
    0xab:	'\u251c',	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0xac:	'\u2597',	  # QUADRANT LOWER RIGHT
    0xad:	'\u2514',	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0xae:	'\u2510',	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0xaf:	'\u2582',	  # LOWER ONE QUARTER BLOCK
    0xb0:	'\u250c',	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0xb1:	'\u2534',	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0xb2:	'\u252c',	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0xb3:	'\u2524',	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0xb4:	'\u258e',	  # LEFT ONE QUARTER BLOCK
    0xb5:	'\u258d',	  # LEFT THREE EIGTHS BLOCK
    0xb6:	'\U0001fb88',	  # RIGHT THREE EIGHTHS BLOCK
    0xb7:	'\U0001fb82',	  # UPPER ONE QUARTER BLOCK
    0xb8:	'\U0001fb83',	  # UPPER THREE EIGHTS BLOCK
    0xb9:	'\u2583',	  # LOWER THREE EIGHTHS BLOCK
    0xba:	'\U0001fb7f',	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0xbb:	'\u2596',	  # QUADRANT LOWER LEFT
    0xbc:	'\u259d',	  # QUADRANT UPPER RIGHT
    0xbd:	'\u2518',	  # BOX DRAWINGS LIGHT UP AND LEFT
    0xbe:	'\u2598',	  # QUADRANT UPPER LEFT
    0xbf:	'\u259a',	  # QUADRANT UPPER LEFT AND LOWER RIGHT
    0xc0:	'\u2500',	  # BOX DRAWINGS LIGHT HORIZONTAL
    0xc1:	'a',     	  # LATIN SMALL LETTER A
    0xc2:	'b',     	  # LATIN SMALL LETTER B
    0xc3:	'c',     	  # LATIN SMALL LETTER C
    0xc4:	'd',     	  # LATIN SMALL LETTER D
    0xc5:	'e',     	  # LATIN SMALL LETTER E
    0xc6:	'f',     	  # LATIN SMALL LETTER F
    0xc7:	'g',     	  # LATIN SMALL LETTER G
    0xc8:	'h',     	  # LATIN SMALL LETTER H
    0xc9:	'i',     	  # LATIN SMALL LETTER I
    0xca:	'j',     	  # LATIN SMALL LETTER J
    0xcb:	'k',     	  # LATIN SMALL LETTER K
    0xcc:	'l',     	  # LATIN SMALL LETTER L
    0xcd:	'm',     	  # LATIN SMALL LETTER M
    0xce:	'n',     	  # LATIN SMALL LETTER N
    0xcf:	'o',     	  # LATIN SMALL LETTER O
    0xd0:	'p',     	  # LATIN SMALL LETTER P
    0xd1:	'q',     	  # LATIN SMALL LETTER Q
    0xd2:	'r',     	  # LATIN SMALL LETTER R
    0xd3:	's',     	  # LATIN SMALL LETTER S
    0xd4:	't',     	  # LATIN SMALL LETTER T
    0xd5:	'u',     	  # LATIN SMALL LETTER U
    0xd6:	'v',     	  # LATIN SMALL LETTER V
    0xd7:	'w',     	  # LATIN SMALL LETTER W
    0xd8:	'x',     	  # LATIN SMALL LETTER X
    0xd9:	'y',     	  # LATIN SMALL LETTER Y
    0xda:	'z',     	  # LATIN SMALL LETTER Z
    0xdb:	'\u253c',	  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0xdc:	'\U0001fb8c',	  # LEFT HALF MEDIUM SHADE
    0xdd:	'\u2502',	  # BOX DRAWINGS LIGHT VERTICAL
    0xde:	'\U0001fb95',	  # CHECKER BOARD FILL
    0xdf:	'\U0001fb98',	  # UPPER LEFT TO LOWER RIGHT FILL
    0xe0:	'\xa0',  	  # NO-BREAK SPACE
    0xe1:	'\u258c',	  # LEFT HALF BLOCK
    0xe2:	'\u2584',	  # LOWER HALF BLOCK
    0xe3:	'\u2594',	  # UPPER ONE EIGHTH BLOCK
    0xe4:	'\u2581',	  # LOWER ONE EIGHTH BLOCK
    0xe5:	'\u258f',	  # LEFT ONE EIGHTH BLOCK
    0xe6:	'\U0001fb95',	  # CHECKER BOARD FILL
    0xe7:	'\u2595',	  # RIGHT ONE EIGHTH BLOCK
    0xe8:	'\U0001fb8f',	  # LOWER HALF MEDIUM SHADE
    0xe9:	'\u25e4',	  # BLACK UPPER LEFT TRIANGLE
    0xea:	'\U0001fb87',	  # RIGHT ONE QUARTER BLOCK
    0xeb:	'\u251c',	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0xec:	'\u2597',	  # QUADRANT LOWER RIGHT
    0xed:	'\u2514',	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0xee:	'\u2510',	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0xef:	'\u2582',	  # LOWER ONE QUARTER BLOCK
    0xf0:	'\u250c',	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0xf1:	'\u2534',	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0xf2:	'\u252c',	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0xf3:	'\u2524',	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0xf4:	'\u258e',	  # LEFT ONE QUARTER BLOCK
    0xf5:	'\u258d',	  # LEFT THREE EIGTHS BLOCK
    0xf6:	'\U0001fb88',	  # RIGHT THREE EIGHTHS BLOCK
    0xf7:	'\U0001fb82',	  # UPPER ONE QUARTER BLOCK
    0xf8:	'\U0001fb83',	  # UPPER THREE EIGHTS BLOCK
    0xf9:	'\u2583',	  # LOWER THREE EIGHTHS BLOCK
    0xfa:	'\U0001fb7f',	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0xfb:	'\u2596',	  # QUADRANT LOWER LEFT
    0xfc:	'\u259d',	  # QUADRANT UPPER RIGHT
    0xfd:	'\u2518',	  # BOX DRAWINGS LIGHT UP AND LEFT
    0xfe:	'\u2598',	  # QUADRANT UPPER LEFT
    0xff:	'\u03c0',	  # GREEK SMALL LETTER PI
}

encoding_table = {
    0x0a:	b'\x8d',  	  # LINE FEED
    0x0c:	b'\x93',  	  # FORM FEED
    0x0d:	b'\r',    	  # CARRIAGE RETURN
    0x20:	b'`',     	  # SPACE
    0x21:	b'a',     	  # EXCLAMATION MARK
    0x22:	b'b',     	  # QUOTATION MARK
    0x23:	b'c',     	  # NUMBER SIGN
    0x24:	b'd',     	  # DOLLAR SIGN
    0x25:	b'e',     	  # PERCENT SIGN
    0x26:	b'f',     	  # AMPERSAND
    0x27:	b'g',     	  # APOSTROPHE
    0x28:	b'h',     	  # LEFT PARENTHESIS
    0x29:	b'i',     	  # RIGHT PARENTHESIS
    0x2a:	b'j',     	  # ASTERISK
    0x2b:	b'k',     	  # PLUS SIGN
    0x2c:	b'l',     	  # COMMA
    0x2d:	b'm',     	  # HYPHEN-MINUS
    0x2e:	b'n',     	  # FULL STOP
    0x2f:	b'o',     	  # SOLIDUS
    0x30:	b'p',     	  # DIGIT ZERO
    0x31:	b'q',     	  # DIGIT ONE
    0x32:	b'r',     	  # DIGIT TWO
    0x33:	b's',     	  # DIGIT THREE
    0x34:	b't',     	  # DIGIT FOUR
    0x35:	b'u',     	  # DIGIT FIVE
    0x36:	b'v',     	  # DIGIT SIX
    0x37:	b'w',     	  # DIGIT SEVEN
    0x38:	b'x',     	  # DIGIT EIGHT
    0x39:	b'y',     	  # DIGIT NINE
    0x3a:	b'z',     	  # COLON
    0x3b:	b'{',     	  # SEMICOLON
    0x3c:	b'|',     	  # LESS-THAN SIGN
    0x3d:	b'}',     	  # EQUALS SIGN
    0x3e:	b'~',     	  # GREATER-THAN SIGN
    0x3f:	b'\x7f',  	  # QUESTION MARK
    0x40:	b'@',     	  # COMMERCIAL AT
    0x41:	b'A',     	  # LATIN CAPITAL LETTER A
    0x42:	b'B',     	  # LATIN CAPITAL LETTER B
    0x43:	b'C',     	  # LATIN CAPITAL LETTER C
    0x44:	b'D',     	  # LATIN CAPITAL LETTER D
    0x45:	b'E',     	  # LATIN CAPITAL LETTER E
    0x46:	b'F',     	  # LATIN CAPITAL LETTER F
    0x47:	b'G',     	  # LATIN CAPITAL LETTER G
    0x48:	b'H',     	  # LATIN CAPITAL LETTER H
    0x49:	b'I',     	  # LATIN CAPITAL LETTER I
    0x4a:	b'J',     	  # LATIN CAPITAL LETTER J
    0x4b:	b'K',     	  # LATIN CAPITAL LETTER K
    0x4c:	b'L',     	  # LATIN CAPITAL LETTER L
    0x4d:	b'M',     	  # LATIN CAPITAL LETTER M
    0x4e:	b'N',     	  # LATIN CAPITAL LETTER N
    0x4f:	b'O',     	  # LATIN CAPITAL LETTER O
    0x50:	b'P',     	  # LATIN CAPITAL LETTER P
    0x51:	b'Q',     	  # LATIN CAPITAL LETTER Q
    0x52:	b'R',     	  # LATIN CAPITAL LETTER R
    0x53:	b'S',     	  # LATIN CAPITAL LETTER S
    0x54:	b'T',     	  # LATIN CAPITAL LETTER T
    0x55:	b'U',     	  # LATIN CAPITAL LETTER U
    0x56:	b'V',     	  # LATIN CAPITAL LETTER V
    0x57:	b'W',     	  # LATIN CAPITAL LETTER W
    0x58:	b'X',     	  # LATIN CAPITAL LETTER X
    0x59:	b'Y',     	  # LATIN CAPITAL LETTER Y
    0x5a:	b'Z',     	  # LATIN CAPITAL LETTER Z
    0x5b:	b'[',     	  # LEFT SQUARE BRACKET
    0x5c:	b'\\',    	  # BACKSLASH
    0x5d:	b']',     	  # RIGHT SQUARE BRACKET
    0x61:	b'\xc1',  	  # LATIN SMALL LETTER A
    0x62:	b'\xc2',  	  # LATIN SMALL LETTER B
    0x63:	b'\xc3',  	  # LATIN SMALL LETTER C
    0x64:	b'\xc4',  	  # LATIN SMALL LETTER D
    0x65:	b'\xc5',  	  # LATIN SMALL LETTER E
    0x66:	b'\xc6',  	  # LATIN SMALL LETTER F
    0x67:	b'\xc7',  	  # LATIN SMALL LETTER G
    0x68:	b'\xc8',  	  # LATIN SMALL LETTER H
    0x69:	b'\xc9',  	  # LATIN SMALL LETTER I
    0x6a:	b'\xca',  	  # LATIN SMALL LETTER J
    0x6b:	b'\xcb',  	  # LATIN SMALL LETTER K
    0x6c:	b'\xcc',  	  # LATIN SMALL LETTER L
    0x6d:	b'\xcd',  	  # LATIN SMALL LETTER M
    0x6e:	b'\xce',  	  # LATIN SMALL LETTER N
    0x6f:	b'\xcf',  	  # LATIN SMALL LETTER O
    0x70:	b'\xd0',  	  # LATIN SMALL LETTER P
    0x71:	b'\xd1',  	  # LATIN SMALL LETTER Q
    0x72:	b'\xd2',  	  # LATIN SMALL LETTER R
    0x73:	b'\xd3',  	  # LATIN SMALL LETTER S
    0x74:	b'\xd4',  	  # LATIN SMALL LETTER T
    0x75:	b'\xd5',  	  # LATIN SMALL LETTER U
    0x76:	b'\xd6',  	  # LATIN SMALL LETTER V
    0x77:	b'\xd7',  	  # LATIN SMALL LETTER W
    0x78:	b'\xd8',  	  # LATIN SMALL LETTER X
    0x79:	b'\xd9',  	  # LATIN SMALL LETTER Y
    0x7a:	b'\xda',  	  # LATIN SMALL LETTER Z
    0x7f:	b'\x14',  	  # DELETE
    0xa0:	b'\xa0',  	  # NO-BREAK SPACE
    0x03c0:	b'\xff',  	  # GREEK SMALL LETTER PI
    0x2190:	b'_',     	  # LEFTWARDS ARROW
    0x2191:	b'^',     	  # UPWARDS ARROW
    0x2500:	b'\xc0',  	  # BOX DRAWINGS LIGHT HORIZONTAL
    0x2502:	b'\xdd',  	  # BOX DRAWINGS LIGHT VERTICAL
    0x250c:	b'\xb0',  	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0x2510:	b'\xae',  	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0x2514:	b'\xad',  	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0x2518:	b'\xbd',  	  # BOX DRAWINGS LIGHT UP AND LEFT
    0x251c:	b'\xab',  	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0x2524:	b'\xb3',  	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0x252c:	b'\xb2',  	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0x2534:	b'\xb1',  	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0x253c:	b'\xdb',  	  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0x2581:	b'\xa4',  	  # LOWER ONE EIGHTH BLOCK
    0x2582:	b'\xaf',  	  # LOWER ONE QUARTER BLOCK
    0x2583:	b'\xb9',  	  # LOWER THREE EIGHTHS BLOCK
    0x2584:	b'\xa2',  	  # LOWER HALF BLOCK
    0x258c:	b'\xa1',  	  # LEFT HALF BLOCK
    0x258d:	b'\xb5',  	  # LEFT THREE EIGTHS BLOCK
    0x258e:	b'\xb4',  	  # LEFT ONE QUARTER BLOCK
    0x258f:	b'\xa5',  	  # LEFT ONE EIGHTH BLOCK
    0x2594:	b'\xa3',  	  # UPPER ONE EIGHTH BLOCK
    0x2595:	b'\xa7',  	  # RIGHT ONE EIGHTH BLOCK
    0x2596:	b'\xbb',  	  # QUADRANT LOWER LEFT
    0x2597:	b'\xac',  	  # QUADRANT LOWER RIGHT
    0x2598:	b'\xbe',  	  # QUADRANT UPPER LEFT
    0x259a:	b'\xbf',  	  # QUADRANT UPPER LEFT AND LOWER RIGHT
    0x259d:	b'\xbc',  	  # QUADRANT UPPER RIGHT
    0x25e4:	b'\xa9',  	  # BLACK UPPER LEFT TRIANGLE
    0xf11a:	b'\x12',  	  # REVERSE VIDEO ON (CUS)
    0xf11b:	b'\x92',  	  # REVERSE VIDEO OFF (CUS)
    0xf11c:	b'\x11',  	  # CURSOR DOWN (CUS)
    0xf11d:	b'\x1d',  	  # CURSOR RIGHT (CUS)
    0xf11e:	b'\x91',  	  # CURSOR UP (CUS)
    0xf11f:	b'\x9d',  	  # CURSOR LEFT (CUS)
    0xf120:	b'\x13',  	  # HOME (CUS)
    0xf121:	b'\x94',  	  # INSERT (CUS)
    0x1fb7f:	b'\xba',  	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0x1fb82:	b'\xb7',  	  # UPPER ONE QUARTER BLOCK
    0x1fb83:	b'\xb8',  	  # UPPER THREE EIGHTS BLOCK
    0x1fb87:	b'\xaa',  	  # RIGHT ONE QUARTER BLOCK
    0x1fb88:	b'\xb6',  	  # RIGHT THREE EIGHTHS BLOCK
    0x1fb8c:	b'\xdc',  	  # LEFT HALF MEDIUM SHADE
    0x1fb8f:	b'\xa8',  	  # LOWER HALF MEDIUM SHADE
    0x1fb95:	b'\xde',  	  # CHECKER BOARD FILL
    0x1fb98:	b'\xdf',  	  # UPPER LEFT TO LOWER RIGHT FILL
}

codecs.register(lambda e: getregentry() if e.replace('-', '_') == 'petscii_pet2001en_lc' else None)
