"""
Python Character Mapping Codec for 'petscii_vic1001jp_gr' generated by gen-codec.
"""

#    Name:		PETSCII VIC-1001 Japanese graphics to Unicode Table
#    Unicode version:	3.0
#    Table version:	1.00
#    Table format:	Format A
#    Date:		13/04/21
#    Authors:		Simon Rowe <srowe@mose.org.uk>, Linus Walleij <triad@df.lth.se>
#    General notes:	Licensed under the GNU GPL, version 2

import codecs

# Codec APIs


class Codec(codecs.Codec):  # pylint: disable=missing-class-docstring
    def encode(self, _input, errors='strict'):
        return codecs.charmap_encode(_input, errors, encoding_table)

    def decode(self, _input, errors='strict'):
        return codecs.charmap_decode(_input, errors, decoding_table)


class IncrementalEncoder(codecs.IncrementalEncoder):  # pylint: disable=missing-class-docstring
    def encode(self, _input, final=False):
        return codecs.charmap_encode(_input, self.errors, encoding_table)[0]


class IncrementalDecoder(codecs.IncrementalDecoder):  # pylint: disable=missing-class-docstring
    def decode(self, _input, final=False):
        return codecs.charmap_decode(_input, self.errors, decoding_table)[0]


class StreamWriter(Codec, codecs.StreamWriter):  # pylint: disable=missing-class-docstring
    pass


class StreamReader(Codec, codecs.StreamReader):  # pylint: disable=missing-class-docstring
    pass


# encodings module API

def getregentry():  # pylint: disable=missing-function-docstring
    return codecs.CodecInfo(
        name='petscii_vic1001jp_gr',
        encode=Codec().encode,
        decode=Codec().decode,
        incrementalencoder=IncrementalEncoder,
        incrementaldecoder=IncrementalDecoder,
        streamreader=StreamReader,
        streamwriter=StreamWriter,
    )


decoding_table = {
    0x05:	'\uf100',	  # WHITE COLOR SWITCH (CUS)
    0x0d:	'\r',    	  # CARRIAGE RETURN
    0x0e:	'\x0e',  	  # SHIFT OUT
    0x11:	'\uf11c',	  # CURSOR DOWN (CUS)
    0x12:	'\uf11a',	  # REVERSE VIDEO ON (CUS)
    0x13:	'\uf120',	  # HOME (CUS)
    0x14:	'\x7f',  	  # DELETE
    0x1c:	'\uf101',	  # RED COLOR SWITCH (CUS)
    0x1d:	'\uf11d',	  # CURSOR RIGHT (CUS)
    0x1e:	'\uf102',	  # GREEN COLOR SWITCH (CUS)
    0x1f:	'\uf103',	  # BLUE COLOR SWITCH (CUS)
    0x20:	' ',     	  # SPACE
    0x21:	'!',     	  # EXCLAMATION MARK
    0x22:	'"',     	  # QUOTATION MARK
    0x23:	'#',     	  # NUMBER SIGN
    0x24:	'$',     	  # DOLLAR SIGN
    0x25:	'%',     	  # PERCENT SIGN
    0x26:	'&',     	  # AMPERSAND
    0x27:	"'",     	  # APOSTROPHE
    0x28:	'(',     	  # LEFT PARENTHESIS
    0x29:	')',     	  # RIGHT PARENTHESIS
    0x2a:	'*',     	  # ASTERISK
    0x2b:	'+',     	  # PLUS SIGN
    0x2c:	',',     	  # COMMA
    0x2d:	'-',     	  # HYPHEN-MINUS
    0x2e:	'.',     	  # FULL STOP
    0x2f:	'/',     	  # SOLIDUS
    0x30:	'0',     	  # DIGIT ZERO
    0x31:	'1',     	  # DIGIT ONE
    0x32:	'2',     	  # DIGIT TWO
    0x33:	'3',     	  # DIGIT THREE
    0x34:	'4',     	  # DIGIT FOUR
    0x35:	'5',     	  # DIGIT FIVE
    0x36:	'6',     	  # DIGIT SIX
    0x37:	'7',     	  # DIGIT SEVEN
    0x38:	'8',     	  # DIGIT EIGHT
    0x39:	'9',     	  # DIGIT NINE
    0x3a:	':',     	  # COLON
    0x3b:	';',     	  # SEMICOLON
    0x3c:	'<',     	  # LESS-THAN SIGN
    0x3d:	'=',     	  # EQUALS SIGN
    0x3e:	'>',     	  # GREATER-THAN SIGN
    0x3f:	'?',     	  # QUESTION MARK
    0x40:	'@',     	  # COMMERCIAL AT
    0x41:	'A',     	  # LATIN CAPITAL LETTER A
    0x42:	'B',     	  # LATIN CAPITAL LETTER B
    0x43:	'C',     	  # LATIN CAPITAL LETTER C
    0x44:	'D',     	  # LATIN CAPITAL LETTER D
    0x45:	'E',     	  # LATIN CAPITAL LETTER E
    0x46:	'F',     	  # LATIN CAPITAL LETTER F
    0x47:	'G',     	  # LATIN CAPITAL LETTER G
    0x48:	'H',     	  # LATIN CAPITAL LETTER H
    0x49:	'I',     	  # LATIN CAPITAL LETTER I
    0x4a:	'J',     	  # LATIN CAPITAL LETTER J
    0x4b:	'K',     	  # LATIN CAPITAL LETTER K
    0x4c:	'L',     	  # LATIN CAPITAL LETTER L
    0x4d:	'M',     	  # LATIN CAPITAL LETTER M
    0x4e:	'N',     	  # LATIN CAPITAL LETTER N
    0x4f:	'O',     	  # LATIN CAPITAL LETTER O
    0x50:	'P',     	  # LATIN CAPITAL LETTER P
    0x51:	'Q',     	  # LATIN CAPITAL LETTER Q
    0x52:	'R',     	  # LATIN CAPITAL LETTER R
    0x53:	'S',     	  # LATIN CAPITAL LETTER S
    0x54:	'T',     	  # LATIN CAPITAL LETTER T
    0x55:	'U',     	  # LATIN CAPITAL LETTER U
    0x56:	'V',     	  # LATIN CAPITAL LETTER V
    0x57:	'W',     	  # LATIN CAPITAL LETTER W
    0x58:	'X',     	  # LATIN CAPITAL LETTER X
    0x59:	'Y',     	  # LATIN CAPITAL LETTER Y
    0x5a:	'Z',     	  # LATIN CAPITAL LETTER Z
    0x5b:	'[',     	  # LEFT SQUARE BRACKET
    0x5c:	'\xa5',  	  # YEN SIGN
    0x5d:	']',     	  # RIGHT SQUARE BRACKET
    0x5e:	'\u2191',	  # UPWARDS ARROW
    0x5f:	'\u2190',	  # LEFTWARDS ARROW
    0x60:	'\U0001fb79',	  # HORIZONTAL ONE EIGHTH BLOCK-5
    0x61:	'\u2660',	  # BLACK SPADE SUIT
    0x62:	'\U0001fb72',	  # VERTICAL ONE EIGHTH BLOCK-4
    0x63:	'\U0001fb78',	  # HORIZONTAL ONE EIGHTH BLOCK-4
    0x64:	'\U0001fb77',	  # HORIZONTAL ONE EIGHTH BLOCK-3
    0x65:	'\U0001fb76',	  # HORIZONTAL ONE EIGHTH BLOCK-2
    0x66:	'\U0001fb7a',	  # HORIZONTAL ONE EIGHTH BLOCK-6
    0x67:	'\U0001fb71',	  # VERTICAL ONE EIGHTH BLOCK-3
    0x68:	'\U0001fb74',	  # VERTICAL ONE EIGHTH BLOCK-6
    0x69:	'\u256e',	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0x6a:	'\u2570',	  # BOX DRAWINGS LIGHT ARC UP AND RIGHT
    0x6b:	'\u256f',	  # BOX DRAWINGS LIGHT ARC UP AND LEFT
    0x6c:	'\U0001fb7c',	  # LEFT AND LOWER ONE EIGHTH BLOCK
    0x6d:	'\u2572',	  # BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
    0x6e:	'\u2571',	  # BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
    0x6f:	'\U0001fb7d',	  # LEFT AND UPPER ONE EIGHTH BLOCK
    0x70:	'\U0001fb7e',	  # RIGHT AND UPPER ONE EIGHTH BLOCK
    0x71:	'\u25cf',	  # BLACK CIRCLE
    0x72:	'\U0001fb7b',	  # HORIZONTAL ONE EIGHTH BLOCK-7
    0x73:	'\u2665',	  # BLACK HEART SUIT
    0x74:	'\U0001fb70',	  # VERTICAL ONE EIGHTH BLOCK-2
    0x75:	'\u256d',	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0x76:	'\u2573',	  # BOX DRAWINGS LIGHT DIAGONAL CROSS
    0x77:	'\u25cb',	  # WHITE CIRCLE
    0x78:	'\u2663',	  # BLACK CLUB SUIT
    0x79:	'\U0001fb75',	  # VERTICAL ONE EIGHTH BLOCK-7
    0x7a:	'\u2666',	  # BLACK DIAMOND SUIT
    0x7b:	'\u253c',	  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0x7c:	'\U0001fb8c',	  # LEFT HALF MEDIUM SHADE
    0x7d:	'\u2502',	  # BOX DRAWINGS LIGHT VERTICAL
    0x7e:	'\u03c0',	  # GREEK SMALL LETTER PI
    0x7f:	'\u25e5',	  # BLACK UPPER RIGHT TRIANGLE
    0x84:	'\u259a',	  # QUADRANT UPPER LEFT AND LOWER RIGHT
    0x85:	'\uf110',	  # FUNCTION KEY 1 (CUS)
    0x86:	'\uf112',	  # FUNCTION KEY 3 (CUS)
    0x87:	'\uf114',	  # FUNCTION KEY 5 (CUS)
    0x88:	'\uf116',	  # FUNCTION KEY 7 (CUS)
    0x89:	'\uf111',	  # FUNCTION KEY 2 (CUS)
    0x8a:	'\uf113',	  # FUNCTION KEY 4 (CUS)
    0x8b:	'\uf115',	  # FUNCTION KEY 6 (CUS)
    0x8c:	'\uf117',	  # FUNCTION KEY 8 (CUS)
    0x8d:	'\n',    	  # LINE FEED
    0x8e:	'\x0f',  	  # SHIFT IN
    0x90:	'\uf105',	  # BLACK COLOR SWITCH (CUS)
    0x91:	'\uf11e',	  # CURSOR UP (CUS)
    0x92:	'\uf11b',	  # REVERSE VIDEO OFF (CUS)
    0x93:	'\x0c',  	  # FORM FEED
    0x94:	'\uf121',	  # INSERT (CUS)
    0x9c:	'\uf10d',	  # PURPLE COLOR SWITCH (CUS)
    0x9d:	'\uf11f',	  # CURSOR LEFT (CUS)
    0x9e:	'\uf10e',	  # YELLOW COLOR SWITCH (CUS)
    0x9f:	'\uf10f',	  # CYAN COLOR SWITCH (CUS)
    0xa0:	'\xa0',  	  # NO-BREAK SPACE
    0xa1:	'\u258c',	  # LEFT HALF BLOCK
    0xa2:	'\u2584',	  # LOWER HALF BLOCK
    0xa3:	'\u2594',	  # UPPER ONE EIGHTH BLOCK
    0xa4:	'\u2581',	  # LOWER ONE EIGHTH BLOCK
    0xa5:	'\u258f',	  # LEFT ONE EIGHTH BLOCK
    0xa6:	'\U0001fb95',	  # CHECKER BOARD FILL
    0xa7:	'\u2595',	  # RIGHT ONE EIGHTH BLOCK
    0xa8:	'\U0001fb8f',	  # LOWER HALF MEDIUM SHADE
    0xa9:	'\u25e4',	  # BLACK UPPER LEFT TRIANGLE
    0xaa:	'\U0001fb87',	  # RIGHT ONE QUARTER BLOCK
    0xab:	'\u251c',	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0xac:	'\u2597',	  # QUADRANT LOWER RIGHT
    0xad:	'\u2514',	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0xae:	'\u2510',	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0xaf:	'\u2582',	  # LOWER ONE QUARTER BLOCK
    0xb0:	'\u250c',	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0xb1:	'\u2534',	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0xb2:	'\u252c',	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0xb3:	'\u2524',	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0xb4:	'\u258e',	  # LEFT ONE QUARTER BLOCK
    0xb5:	'\u258d',	  # LEFT THREE EIGTHS BLOCK
    0xb6:	'\U0001fb88',	  # RIGHT THREE EIGHTHS BLOCK
    0xb7:	'\U0001fb82',	  # UPPER ONE QUARTER BLOCK
    0xb8:	'\U0001fb83',	  # UPPER THREE EIGHTS BLOCK
    0xb9:	'\u2583',	  # LOWER THREE EIGHTHS BLOCK
    0xba:	'\U0001fb7f',	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0xbb:	'\u2596',	  # QUADRANT LOWER LEFT
    0xbc:	'\u259d',	  # QUADRANT UPPER RIGHT
    0xbd:	'\u2518',	  # BOX DRAWINGS LIGHT UP AND LEFT
    0xbe:	'\u2598',	  # QUADRANT UPPER LEFT
    0xbf:	'\u259a',	  # QUADRANT UPPER LEFT AND LOWER RIGHT
    0xc0:	'\U0001fb79',	  # HORIZONTAL ONE EIGHTH BLOCK-5
    0xc1:	'\u2660',	  # BLACK SPADE SUIT
    0xc2:	'\U0001fb72',	  # VERTICAL ONE EIGHTH BLOCK-4
    0xc3:	'\U0001fb78',	  # HORIZONTAL ONE EIGHTH BLOCK-4
    0xc4:	'\U0001fb77',	  # HORIZONTAL ONE EIGHTH BLOCK-3
    0xc5:	'\U0001fb76',	  # HORIZONTAL ONE EIGHTH BLOCK-2
    0xc6:	'\U0001fb7a',	  # HORIZONTAL ONE EIGHTH BLOCK-6
    0xc7:	'\U0001fb71',	  # VERTICAL ONE EIGHTH BLOCK-3
    0xc8:	'\U0001fb74',	  # VERTICAL ONE EIGHTH BLOCK-6
    0xc9:	'\u256e',	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0xca:	'\u2570',	  # BOX DRAWINGS LIGHT ARC UP AND RIGHT
    0xcb:	'\u256f',	  # BOX DRAWINGS LIGHT ARC UP AND LEFT
    0xcc:	'\U0001fb7c',	  # LEFT AND LOWER ONE EIGHTH BLOCK
    0xcd:	'\u2572',	  # BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
    0xce:	'\u2571',	  # BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
    0xcf:	'\U0001fb7d',	  # LEFT AND UPPER ONE EIGHTH BLOCK
    0xd0:	'\U0001fb7e',	  # RIGHT AND UPPER ONE EIGHTH BLOCK
    0xd1:	'\u25cf',	  # BLACK CIRCLE
    0xd2:	'\U0001fb7b',	  # HORIZONTAL ONE EIGHTH BLOCK-7
    0xd3:	'\u2665',	  # BLACK HEART SUIT
    0xd4:	'\U0001fb70',	  # VERTICAL ONE EIGHTH BLOCK-2
    0xd5:	'\u256d',	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0xd6:	'\u2573',	  # BOX DRAWINGS LIGHT DIAGONAL CROSS
    0xd7:	'\u25cb',	  # WHITE CIRCLE
    0xd8:	'\u2663',	  # BLACK CLUB SUIT
    0xd9:	'\U0001fb75',	  # VERTICAL ONE EIGHTH BLOCK-7
    0xda:	'\u2666',	  # BLACK DIAMOND SUIT
    0xdb:	'\u253c',	  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0xdc:	'\U0001fb8c',	  # LEFT HALF MEDIUM SHADE
    0xdd:	'\U0001fb73',	  # VERTICAL ONE EIGHTH BLOCK-5
    0xde:	'\u03c0',	  # GREEK SMALL LETTER PI
    0xdf:	'\U0001fb98',	  # UPPER LEFT TO LOWER RIGHT FILL
    0xe0:	'\xa0',  	  # NO-BREAK SPACE
    0xe1:	'\u258c',	  # LEFT HALF BLOCK
    0xe2:	'\u2584',	  # LOWER HALF BLOCK
    0xe3:	'\u2594',	  # UPPER ONE EIGHTH BLOCK
    0xe4:	'\u2581',	  # LOWER ONE EIGHTH BLOCK
    0xe5:	'\u258f',	  # LEFT ONE EIGHTH BLOCK
    0xe6:	'\U0001fb95',	  # CHECKER BOARD FILL
    0xe7:	'\u2595',	  # RIGHT ONE EIGHTH BLOCK
    0xe8:	'\U0001fb8f',	  # LOWER HALF MEDIUM SHADE
    0xe9:	'\u25e4',	  # BLACK UPPER LEFT TRIANGLE
    0xea:	'\U0001fb87',	  # RIGHT ONE QUARTER BLOCK
    0xeb:	'\u251c',	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0xec:	'\u2597',	  # QUADRANT LOWER RIGHT
    0xed:	'\u2514',	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0xee:	'\u2510',	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0xef:	'\u2582',	  # LOWER ONE QUARTER BLOCK
    0xf0:	'\u250c',	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0xf1:	'\u2534',	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0xf2:	'\u252c',	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0xf3:	'\u2524',	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0xf4:	'\u258e',	  # LEFT ONE QUARTER BLOCK
    0xf5:	'\u258d',	  # LEFT THREE EIGTHS BLOCK
    0xf6:	'\U0001fb88',	  # RIGHT THREE EIGHTHS BLOCK
    0xf7:	'\U0001fb82',	  # UPPER ONE QUARTER BLOCK
    0xf8:	'\U0001fb83',	  # UPPER THREE EIGHTS BLOCK
    0xf9:	'\u2583',	  # LOWER THREE EIGHTHS BLOCK
    0xfa:	'\U0001fb7f',	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0xfb:	'\u2596',	  # QUADRANT LOWER LEFT
    0xfc:	'\u259d',	  # QUADRANT UPPER RIGHT
    0xfd:	'\u2518',	  # BOX DRAWINGS LIGHT UP AND LEFT
    0xfe:	'\u2598',	  # QUADRANT UPPER LEFT
    0xff:	'\u03c0',	  # GREEK SMALL LETTER PI
}

encoding_table = {
    0x0a:	b'\x8d',  	  # LINE FEED
    0x0c:	b'\x93',  	  # FORM FEED
    0x0d:	b'\r',    	  # CARRIAGE RETURN
    0x0e:	b'\x0e',  	  # SHIFT OUT
    0x0f:	b'\x8e',  	  # SHIFT IN
    0x20:	b' ',     	  # SPACE
    0x21:	b'!',     	  # EXCLAMATION MARK
    0x22:	b'"',     	  # QUOTATION MARK
    0x23:	b'#',     	  # NUMBER SIGN
    0x24:	b'$',     	  # DOLLAR SIGN
    0x25:	b'%',     	  # PERCENT SIGN
    0x26:	b'&',     	  # AMPERSAND
    0x27:	b"'",     	  # APOSTROPHE
    0x28:	b'(',     	  # LEFT PARENTHESIS
    0x29:	b')',     	  # RIGHT PARENTHESIS
    0x2a:	b'*',     	  # ASTERISK
    0x2b:	b'+',     	  # PLUS SIGN
    0x2c:	b',',     	  # COMMA
    0x2d:	b'-',     	  # HYPHEN-MINUS
    0x2e:	b'.',     	  # FULL STOP
    0x2f:	b'/',     	  # SOLIDUS
    0x30:	b'0',     	  # DIGIT ZERO
    0x31:	b'1',     	  # DIGIT ONE
    0x32:	b'2',     	  # DIGIT TWO
    0x33:	b'3',     	  # DIGIT THREE
    0x34:	b'4',     	  # DIGIT FOUR
    0x35:	b'5',     	  # DIGIT FIVE
    0x36:	b'6',     	  # DIGIT SIX
    0x37:	b'7',     	  # DIGIT SEVEN
    0x38:	b'8',     	  # DIGIT EIGHT
    0x39:	b'9',     	  # DIGIT NINE
    0x3a:	b':',     	  # COLON
    0x3b:	b';',     	  # SEMICOLON
    0x3c:	b'<',     	  # LESS-THAN SIGN
    0x3d:	b'=',     	  # EQUALS SIGN
    0x3e:	b'>',     	  # GREATER-THAN SIGN
    0x3f:	b'?',     	  # QUESTION MARK
    0x40:	b'@',     	  # COMMERCIAL AT
    0x41:	b'A',     	  # LATIN CAPITAL LETTER A
    0x42:	b'B',     	  # LATIN CAPITAL LETTER B
    0x43:	b'C',     	  # LATIN CAPITAL LETTER C
    0x44:	b'D',     	  # LATIN CAPITAL LETTER D
    0x45:	b'E',     	  # LATIN CAPITAL LETTER E
    0x46:	b'F',     	  # LATIN CAPITAL LETTER F
    0x47:	b'G',     	  # LATIN CAPITAL LETTER G
    0x48:	b'H',     	  # LATIN CAPITAL LETTER H
    0x49:	b'I',     	  # LATIN CAPITAL LETTER I
    0x4a:	b'J',     	  # LATIN CAPITAL LETTER J
    0x4b:	b'K',     	  # LATIN CAPITAL LETTER K
    0x4c:	b'L',     	  # LATIN CAPITAL LETTER L
    0x4d:	b'M',     	  # LATIN CAPITAL LETTER M
    0x4e:	b'N',     	  # LATIN CAPITAL LETTER N
    0x4f:	b'O',     	  # LATIN CAPITAL LETTER O
    0x50:	b'P',     	  # LATIN CAPITAL LETTER P
    0x51:	b'Q',     	  # LATIN CAPITAL LETTER Q
    0x52:	b'R',     	  # LATIN CAPITAL LETTER R
    0x53:	b'S',     	  # LATIN CAPITAL LETTER S
    0x54:	b'T',     	  # LATIN CAPITAL LETTER T
    0x55:	b'U',     	  # LATIN CAPITAL LETTER U
    0x56:	b'V',     	  # LATIN CAPITAL LETTER V
    0x57:	b'W',     	  # LATIN CAPITAL LETTER W
    0x58:	b'X',     	  # LATIN CAPITAL LETTER X
    0x59:	b'Y',     	  # LATIN CAPITAL LETTER Y
    0x5a:	b'Z',     	  # LATIN CAPITAL LETTER Z
    0x5b:	b'[',     	  # LEFT SQUARE BRACKET
    0x5d:	b']',     	  # RIGHT SQUARE BRACKET
    0x7f:	b'\x14',  	  # DELETE
    0xa0:	b'\xa0',  	  # NO-BREAK SPACE
    0xa5:	b'\\',    	  # YEN SIGN
    0x03c0:	b'\xff',  	  # GREEK SMALL LETTER PI
    0x2190:	b'_',     	  # LEFTWARDS ARROW
    0x2191:	b'^',     	  # UPWARDS ARROW
    0x2502:	b'}',     	  # BOX DRAWINGS LIGHT VERTICAL
    0x250c:	b'\xb0',  	  # BOX DRAWINGS LIGHT DOWN AND RIGHT
    0x2510:	b'\xae',  	  # BOX DRAWINGS LIGHT DOWN AND LEFT
    0x2514:	b'\xad',  	  # BOX DRAWINGS LIGHT UP AND RIGHT
    0x2518:	b'\xbd',  	  # BOX DRAWINGS LIGHT UP AND LEFT
    0x251c:	b'\xab',  	  # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
    0x2524:	b'\xb3',  	  # BOX DRAWINGS LIGHT VERTICAL AND LEFT
    0x252c:	b'\xb2',  	  # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
    0x2534:	b'\xb1',  	  # BOX DRAWINGS LIGHT UP AND HORIZONTAL
    0x253c:	b'\xdb',  	  # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
    0x256d:	b'\xd5',  	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0x256e:	b'\xc9',  	  # BOX DRAWINGS LIGHT ARC DOWN AND LEFT
    0x256f:	b'\xcb',  	  # BOX DRAWINGS LIGHT ARC UP AND LEFT
    0x2570:	b'\xca',  	  # BOX DRAWINGS LIGHT ARC UP AND RIGHT
    0x2571:	b'\xce',  	  # BOX DRAWINGS LIGHT DIAGONAL UPPER RIGHT TO LOWER LEFT
    0x2572:	b'\xcd',  	  # BOX DRAWINGS LIGHT DIAGONAL UPPER LEFT TO LOWER RIGHT
    0x2573:	b'\xd6',  	  # BOX DRAWINGS LIGHT DIAGONAL CROSS
    0x2581:	b'\xa4',  	  # LOWER ONE EIGHTH BLOCK
    0x2582:	b'\xaf',  	  # LOWER ONE QUARTER BLOCK
    0x2583:	b'\xb9',  	  # LOWER THREE EIGHTHS BLOCK
    0x2584:	b'\xa2',  	  # LOWER HALF BLOCK
    0x258c:	b'\xa1',  	  # LEFT HALF BLOCK
    0x258d:	b'\xb5',  	  # LEFT THREE EIGTHS BLOCK
    0x258e:	b'\xb4',  	  # LEFT ONE QUARTER BLOCK
    0x258f:	b'\xa5',  	  # LEFT ONE EIGHTH BLOCK
    0x2594:	b'\xa3',  	  # UPPER ONE EIGHTH BLOCK
    0x2595:	b'\xa7',  	  # RIGHT ONE EIGHTH BLOCK
    0x2596:	b'\xbb',  	  # QUADRANT LOWER LEFT
    0x2597:	b'\xac',  	  # QUADRANT LOWER RIGHT
    0x2598:	b'\xbe',  	  # QUADRANT UPPER LEFT
    0x259a:	b'\x84',  	  # QUADRANT UPPER LEFT AND LOWER RIGHT
    0x259d:	b'\xbc',  	  # QUADRANT UPPER RIGHT
    0x25cb:	b'\xd7',  	  # WHITE CIRCLE
    0x25cf:	b'\xd1',  	  # BLACK CIRCLE
    0x25e4:	b'\xa9',  	  # BLACK UPPER LEFT TRIANGLE
    0x25e5:	b'\x7f',  	  # BLACK UPPER RIGHT TRIANGLE
    0x2660:	b'\xc1',  	  # BLACK SPADE SUIT
    0x2663:	b'\xd8',  	  # BLACK CLUB SUIT
    0x2665:	b'\xd3',  	  # BLACK HEART SUIT
    0x2666:	b'\xda',  	  # BLACK DIAMOND SUIT
    0xf100:	b'\x05',  	  # WHITE COLOR SWITCH (CUS)
    0xf101:	b'\x1c',  	  # RED COLOR SWITCH (CUS)
    0xf102:	b'\x1e',  	  # GREEN COLOR SWITCH (CUS)
    0xf103:	b'\x1f',  	  # BLUE COLOR SWITCH (CUS)
    0xf105:	b'\x90',  	  # BLACK COLOR SWITCH (CUS)
    0xf10d:	b'\x9c',  	  # PURPLE COLOR SWITCH (CUS)
    0xf10e:	b'\x9e',  	  # YELLOW COLOR SWITCH (CUS)
    0xf10f:	b'\x9f',  	  # CYAN COLOR SWITCH (CUS)
    0xf110:	b'\x85',  	  # FUNCTION KEY 1 (CUS)
    0xf111:	b'\x89',  	  # FUNCTION KEY 2 (CUS)
    0xf112:	b'\x86',  	  # FUNCTION KEY 3 (CUS)
    0xf113:	b'\x8a',  	  # FUNCTION KEY 4 (CUS)
    0xf114:	b'\x87',  	  # FUNCTION KEY 5 (CUS)
    0xf115:	b'\x8b',  	  # FUNCTION KEY 6 (CUS)
    0xf116:	b'\x88',  	  # FUNCTION KEY 7 (CUS)
    0xf117:	b'\x8c',  	  # FUNCTION KEY 8 (CUS)
    0xf11a:	b'\x12',  	  # REVERSE VIDEO ON (CUS)
    0xf11b:	b'\x92',  	  # REVERSE VIDEO OFF (CUS)
    0xf11c:	b'\x11',  	  # CURSOR DOWN (CUS)
    0xf11d:	b'\x1d',  	  # CURSOR RIGHT (CUS)
    0xf11e:	b'\x91',  	  # CURSOR UP (CUS)
    0xf11f:	b'\x9d',  	  # CURSOR LEFT (CUS)
    0xf120:	b'\x13',  	  # HOME (CUS)
    0xf121:	b'\x94',  	  # INSERT (CUS)
    0x1fb70:	b'\xd4',  	  # VERTICAL ONE EIGHTH BLOCK-2
    0x1fb71:	b'\xc7',  	  # VERTICAL ONE EIGHTH BLOCK-3
    0x1fb72:	b'\xc2',  	  # VERTICAL ONE EIGHTH BLOCK-4
    0x1fb73:	b'\xdd',  	  # VERTICAL ONE EIGHTH BLOCK-5
    0x1fb74:	b'\xc8',  	  # VERTICAL ONE EIGHTH BLOCK-6
    0x1fb75:	b'\xd9',  	  # VERTICAL ONE EIGHTH BLOCK-7
    0x1fb76:	b'\xc5',  	  # HORIZONTAL ONE EIGHTH BLOCK-2
    0x1fb77:	b'\xc4',  	  # HORIZONTAL ONE EIGHTH BLOCK-3
    0x1fb78:	b'\xc3',  	  # HORIZONTAL ONE EIGHTH BLOCK-4
    0x1fb79:	b'\xc0',  	  # HORIZONTAL ONE EIGHTH BLOCK-5
    0x1fb7a:	b'\xc6',  	  # HORIZONTAL ONE EIGHTH BLOCK-6
    0x1fb7b:	b'\xd2',  	  # HORIZONTAL ONE EIGHTH BLOCK-7
    0x1fb7c:	b'\xcc',  	  # LEFT AND LOWER ONE EIGHTH BLOCK
    0x1fb7d:	b'\xcf',  	  # LEFT AND UPPER ONE EIGHTH BLOCK
    0x1fb7e:	b'\xd0',  	  # RIGHT AND UPPER ONE EIGHTH BLOCK
    0x1fb7f:	b'\xba',  	  # RIGHT AND LOWER ONE EIGHTH BLOCK
    0x1fb82:	b'\xb7',  	  # UPPER ONE QUARTER BLOCK
    0x1fb83:	b'\xb8',  	  # UPPER THREE EIGHTS BLOCK
    0x1fb87:	b'\xaa',  	  # RIGHT ONE QUARTER BLOCK
    0x1fb88:	b'\xb6',  	  # RIGHT THREE EIGHTHS BLOCK
    0x1fb8c:	b'\xdc',  	  # LEFT HALF MEDIUM SHADE
    0x1fb8f:	b'\xa8',  	  # LOWER HALF MEDIUM SHADE
    0x1fb95:	b'\xa6',  	  # CHECKER BOARD FILL
    0x1fb98:	b'\xdf',  	  # UPPER LEFT TO LOWER RIGHT FILL
}

codecs.register(lambda e: getregentry() if e.replace('-', '_') == 'petscii_vic1001jp_gr' else None)
